package com.pj.home;

import cn.dev33.satoken.context.SaHolder;
import cn.dev33.satoken.stp.StpUtil;
import com.pj.current.satoken.StpUserUtil;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

/**
 * SSO 平台中心模式示例，跳连接进入子系统
 */
@RestController
public class HomeController {
    // 平台化首页
    @RequestMapping("/home")
    public Object index() {
        // 如果未登录，则先去登录
        if(!StpUserUtil.isLogin()) {
            return SaHolder.getResponse().redirect("/sso/auth");
        }
        return new ModelAndView("home.html");
    }
}
